## List CounterPricings

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/counterpricings \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/counterpricings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/counterpricings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### HTTP Status Codes

- **200**: Successful Response
- **4XX**: Client Errors
- **5XX**: Server Errors

### Example Response

```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "planId": "<string>",
      "planTemplateId": "<string>",
      "cumulative": true,
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "code": "<string>",
      "description": "<string>",
      "accountingProductId": "<string>",
      "pricingBands": [
        {
          "lowerLimit": 1,
          "fixedPrice": 123,
          "unitPrice": 123,
          "id": "<string>",
          "creditTypeId": "<string>"
        }
      ],
      "counterId": "<string>",
      "runningTotalBillInAdvance": true,
      "proRateRunningTotal": true,
      "proRateAdjustmentDebit": true,
      "proRateAdjustmentCredit": true
    }
  ],
  "nextToken": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorization

**Authorization**  
Type: `string`  
Location: `header`  
Required: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.  
The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**:  
  Type: `string`  
  Required: Yes  
  Description: UUID of the Organization. Represents your company as a direct customer of m3ter.

### Query Parameters

- **pageSize**:  
  Type: `integer<int32>`  
  Required: Yes  
  Description: Number of CounterPricings to retrieve per page. Range: `1 <= x <= 200`

- **nextToken**:  
  Type: `string`  
  Description: `nextToken` for multi-page retrievals.

- **date**:  
  Type: `string`  
  Description: Date on which to retrieve active CounterPricings.

- **planId**:  
  Type: `string`  
  Description: UUID of the Plan to retrieve CounterPricings for.

- **planTemplateId**:  
  Type: `string`  
  Description: UUID of the Plan Template to retrieve CounterPricings for.

- **ids**:  
  Type: `string[]`  
  Description: List of CounterPricing IDs to retrieve.

### Response

**Response Format**: `application/json`  
Returns the list of requested CounterPricings.

```json
{
  "data": [<object[]>],
  "nextToken": "<string>"
}
```
